메인 콘텐츠로 건너뛰기
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
/audio/queue가 반환한 queue_id를 사용해 생성 상태를 확인하세요. 요청이 완료되면 이 엔드포인트는 생성된 오디오 데이터를 반환합니다.

Postman 컬렉션

추가 예제는 이 Postman 컬렉션을 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

본문

application/json
model
string
필수

The ID of the model used for audio generation.

예시:

"elevenlabs-music"

queue_id
string
필수

The ID of the audio generation request. Use this to poll for status and retrieve the result.

예시:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
기본값:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

예시:

false

응답

Audio generation status or completed audio

status
enum<string>
필수

The status of the audio generation request.

사용 가능한 옵션:
PROCESSING
예시:

"PROCESSING"

average_execution_time
number
필수

The estimated execution time of the audio generation request in milliseconds (P80).

예시:

20000

execution_duration
number
필수

The current duration of the audio generation request in milliseconds.

예시:

5200